### Function

# Gtk PaperSizenew_from_ipp

#### Declaration [src]

    GtkPaperSize*
    gtk_paper_size_new_from_ipp (
      const char* ipp_name,
      double width,
      double height
    )

#### Description [src]

Creates a new `GtkPaperSize` object by using IPP information.

If `ipp_name` is not a recognized paper name, `width` and `height` are used to construct a custom `GtkPaperSize` object.

#### Parameters

`ipp_name`

  Type: `const char*`

  An IPP paper name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`width`

  Type: `double`

  The paper width, in points.

`height`

  Type: `double`

  The paper height in points.

#### Return value

Type: `GtkPaperSize`

A new `GtkPaperSize`, use `gtk_paper_size_free()` to free it.

The caller of the function takes ownership of the data, and is responsible for freeing it.